Docs
Get an API key

MiMo V2.6 Flash mimo-v2.6-flash

Xiaomi's efficiency-balanced MoE with a 1M-token context, reasoning, and tool calling.

From the live catalog
View .md
Input
$0.10 / 1M tokens
Output
$0.25 / 1M tokens
Context
1M tokens
Max output
1M tokens
region ATL requires funding no quantization fp8 reasoning Hugging Face XiaomiMiMo/MiMo-V2.6-Flash-RL

Limits

What one subscription may send this model. Limits says what happens past them.

Requests a minuteAt once
12016

Inputs

InputAccepts
text
context 1M tokens
image
sources url, base64
formats png, jpeg, webp, gif
max size 20 MB
file
sources url, base64
formats application/pdf, text/plain, text/markdown, text/html, text/csv, application/json
max size 100 MB
audio
sources url, base64
formats wav, mpeg
max size 50 MB
video
sources url, base64
formats mp4, webm
max size 50 MB

Parameters

Streams with stream: true.

ParameterTypeValuesDefault
temperaturenumber0–2
top_pnumber0–1
frequency_penaltynumber-2–2
presence_penaltynumber-2–2
max_tokensinteger1–1048576 tokens
stoparrayup to 4 items
seedinteger
continue_final_messageboolean
top_kintegerat least 0
repetition_penaltynumber0.01–2
nintegerat least 1
logprobsboolean
top_logprobsinteger0–20
response_formatobjecttype: text, json_object, json_schema
structured_outputsboolean
reasoning_effortstringultra, max, xhigh, high, medium, low, minimal
reasoningobject
toolsboolean

Endpoints

A request

curl https://api.vultrinference.com/v1/chat/completions \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "mimo-v2.6-flash",
    "messages": [
      {
        "role": "system",
        "content": "Answer in one sentence."
      },
      {
        "role": "user",
        "content": "Why is the sky blue?"
      }
    ],
    "max_completion_tokens": 512
  }'